View Issue Details

IDProjectCategoryView StatusLast Update
0003763TechDraw[FreeCAD] Bugpublic2019-01-12 16:23
ReporterbobmelAssigned Towandererfan 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformMacbook ProOSOS XOS Version10.13.6
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003763: TechDraw drawing page remains if Undone after create
DescriptionIf you create a new TechDraw drawing page (default or by template) and then Undo that operation, then that drawing disappears from the model tree BUT the drawing page window itself does not disappear.

In some cases, when the "undone" drawing page window is not in focus so that only its tab is shown, then clicking that tab will cause FreeCad to crash.

 
Steps To Reproduce1. Create a new TechDraw drawing page (default or by template - does not matter)
Observe that the new page shows up in the model tree view
2. Press Undo button or via menu
Observe that the new Drawing page symbol has disappeared from the tree view.
Observe that the new page itself still exists. <===== This should not be the case.
Additional InformationOS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13541 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 9948ee4f1570df9216862a79705afb367b2c6ffb
Python version: 2.7.14
Qt version: 5.10.1
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/Sweden (en_SE)
TagsTechDraw

Activities

Kunda1

2019-01-11 11:29

administrator   ~0012413

Can you recreate this using 0.18_pre ?

wandererfan

2019-01-12 00:08

manager   ~0012416

confirmed on:

OS: Linux Mint 19
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15600 (Git)
Build type: debug
Branch: master
Hash: 3d52e8a6b98901a44318eeb490994765e90f9f6b
Python version: 3.6.7
Qt version: 5.11.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Canada (en_CA)

Fix is straight-forward and will be along in the next few days.

Kunda1

2019-01-12 00:11

administrator   ~0012417

Not sure why the ticket didn't change to assigned as well. Now it will ;)

wandererfan

2019-01-12 12:49

manager   ~0012418

Can not duplicate the crash, but the tab definitely lingers after it should disappear.

wmayer

2019-01-12 16:23

administrator   ~0012421

https://github.com/FreeCAD/FreeCAD/commit/cec0cf9133b7fd51867102285d661f11bd7c81d8

Issue History

Date Modified Username Field Change
2019-01-09 14:36 bobmel New Issue
2019-01-09 14:36 bobmel Tag Attached: TechDraw
2019-01-11 11:29 Kunda1 Note Added: 0012413
2019-01-11 11:30 Kunda1 Status new => feedback
2019-01-12 00:08 wandererfan Note Added: 0012416
2019-01-12 00:09 wandererfan Assigned To => wandererfan
2019-01-12 00:09 wandererfan Status feedback => confirmed
2019-01-12 00:09 wandererfan Target Version => 0.18
2019-01-12 00:11 Kunda1 Status confirmed => assigned
2019-01-12 00:11 Kunda1 Note Added: 0012417
2019-01-12 12:49 wandererfan Note Added: 0012418
2019-01-12 16:23 wmayer Status assigned => closed
2019-01-12 16:23 wmayer Resolution open => fixed
2019-01-12 16:23 wmayer Fixed in Version => 0.18
2019-01-12 16:23 wmayer Note Added: 0012421